App.NumberField = Ember.TextField.extend
  type: 'number'
  attributeBindings: ['min', 'max', 'step']
  numericValue: Ember.computed 'value', (key, value) ->
    if arguments.length is 1
      parseFloat @get "value"
    else
      @set "value", (if value isnt undefined then "#{value}" else "")
